## node-zipfile 0.2.4+ds1

=== Makefile ===
all: zipfile.node

install:
	node-waf -v build install

zipfile.node:
	node-waf -v build

clean:
	node-waf -v clean distclean

uninstall:
	node-waf -v uninstall

test:
	node test.js

=== wscript ===
import os
from glob import glob
from os import unlink, symlink, popen, uname, environ
from os.path import exists
from shutil import copy2 as copy, rmtree
from subprocess import call

# http://www.freehackers.org/~tnagy/wafbook/index.html

# node-wafadmin
import Options
import Utils

TARGET = '_zipfile'
TARGET_FILE = '%s.node' % TARGET
built = 'build/default/%s' % TARGET_FILE
dest = 'lib/%s' % TARGET_FILE
settings = 'lib/settings.js'
BUNDLED_LIBZIP_VERSION = '0.10'
BUNDLED_LIBZIP = 'libzip-%s' % BUNDLED_LIBZIP_VERSION
BUNDLED_LIBZIP_TAR = 'libzip-%s.tar.bz2' % BUNDLED_LIBZIP_VERSION

def set_options(opt):
    opt.tool_options("compiler_cxx")
    opt.tool_options('misc')
    opt.add_option( '--libzip'
                  , action='store'
                  , default=None
                  , help='Directory prefix containing libzip "lib" and "include" files'
                  , dest='shared_libzip_dir'
                  )

    opt.add_option( '--shared-libzip'
                  , action='store_true'
                  , default=False
                  , help='Build dynamically against external install of libzip (default False - build uses internal copy)'
                  , dest='shared_libzip'
                  )

def configure_libzip():
    if not Options.options.shared_libzip:
        Utils.pprint('GREEN','configuring internal libzip dep')
        os.chdir('deps')
        if not os.path.exists(BUNDLED_LIBZIP):
            os.system('tar xvf %s' % BUNDLED_LIBZIP_TAR)
        os.chdir(BUNDLED_LIBZIP)
        cxxflags = ''
        if os.environ.has_key('CFLAGS'):
            cxxflags += os.environ['CFLAGS']
            cxxflags += ' '
        if os.environ.has_key('CXXFLAGS'):
            cxxflags += os.environ['CXXFLAGS']
        # LINKFLAGS appear to be picked up automatically...
        os.system("CFLAGS='%s -fPIC -O3 -DNDEBUG -Wall' ./configure --disable-dependency-tracking --enable-static --disable-shared" % cxxflags)
        os.chdir('../../')

def configure(conf):
    conf.check_tool("compiler_cxx")
    conf.check_tool("node_addon")
    configure_libzip()

    libzip_includes = []
    libzip_libpath  = []
    auto_configured = False
    o = Options.options
    libzip_dir = o.shared_libzip_dir
    shared_libzip = o.shared_libzip
    
    if libzip_dir:
        norm_path = os.path.realpath(libzip_dir)
        if norm_path.endswith('lib') or norm_path.endswith('include'):
            norm_path = os.path.dirname(norm_path)
        
        libzip_includes = [os.path.join('%s' % norm_path,'include'),
                           os.path.join('%s' % norm_path,'lib/libzip/include')
                          ]
        libzip_libpath  = [os.path.join('%s' % norm_path,'lib')]
    
    elif shared_libzip:
        pkg_config = conf.find_program('pkg-config', var='PKG_CONFIG', mandatory=False)
        if pkg_config:
            cmd = '%s libzip' %  pkg_config
            if int(call(cmd.split(' '))) == 0:
                Utils.pprint('GREEN','Sweet, found libzip via pkg-config')
                libzip_includes.extend(popen("pkg-config --cflags libzip").readline().strip().split(' '))
                libzip_libpath.extend(popen("pkg-config --libs libzip").readline().strip().split(' '))
                auto_configured = True

        if not auto_configured:
            # reasonable defaults for searching
            libzip_includes = ['/usr/local/include',
                               '/usr/local/lib/libzip/include',
                               '/usr/include',
                               '/usr/lib/libzip/include',
                               ]
            libzip_libpath  = ['/usr/local/lib','/usr/lib']
    
    elif not shared_libzip:
        auto_configured = True
        libzip_includes = ['-I../deps/%s/lib' % BUNDLED_LIBZIP]
        libzip_libpath  = ['../deps/%s/lib/.libs/libzip.a' % BUNDLED_LIBZIP]
        
    if not auto_configured:
        if not conf.check_cxx(lib='zip', header_name='zip.h',
                              uselib_store='ZIP',
                              includes=libzip_includes,
                              libpath=libzip_libpath):
            conf.fatal("\n\n  Cannot find libzip, required for node-zipfile,\n  please install from:\n  'http://nih.at/libzip/'\n  (see README.md for more info)\n")
        else:
            Utils.pprint('GREEN', 'Sweet, found viable libzip dependency')
    
        # strip paths that don't exist, turn into proper flags
        new_inc = []
        for i in libzip_includes:
           if os.path.exists(i):
               new_inc.append('-I%s' % i)
        libzip_includes = new_inc
    
        new_inc = []
        for i in libzip_libpath:
           if os.path.exists(i):
               new_inc.append('-L%s' % i)
        libzip_libpath = new_inc

    linkflags = []
    if os.environ.has_key('LINKFLAGS'):
        linkflags = os.environ['LINKFLAGS'].split(' ')
    linkflags.extend(libzip_libpath)
    if shared_libzip:
        if '-lzip' not in linkflags:
            linkflags.append('-lzip')
    elif Options.platform == 'darwin':
        linkflags.append('-Wl,-search_paths_first')
    
    if '-lz' not in linkflags:
        linkflags.append('-lz')

    conf.env.append_value("LINKFLAGS", linkflags)
    
    cxxflags = libzip_includes

    conf.env.append_value("CXXFLAGS", cxxflags)
    
    #ldflags = []
    #conf.env.append_value("LDFLAGS", ldflags)

def build_libzip():
    if not Options.options.shared_libzip:
        os.chdir('deps/%s' % BUNDLED_LIBZIP)
        os.system('make')
        os.chdir('../../')

def build(bld):
    obj = bld.new_task_gen("cxx", "shlib", "node_addon", install_path=None)
    build_libzip()
    obj.cxxflags = ["-DNDEBUG", "-O3", "-g", "-Wall", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
    obj.target = TARGET
    obj.source = "src/_zipfile.cc"
    obj.source += " src/node_zipfile.cpp"
    obj.uselib = "ZIPFILE"
    start_dir = bld.path.find_dir('lib')
    # http://www.freehackers.org/~tnagy/wafbook/index.html#_installing_files
    bld.install_files('${LIBPATH_NODE}/node/zipfile', start_dir.ant_glob('*'), cwd=start_dir, relative_trick=True)
    # install command line programs
    bin_dir = bld.path.find_dir('./bin')
    bld.install_files('${PREFIX_NODE}/bin', bin_dir.ant_glob('*'), cwd=bin_dir, relative_trick=True, chmod=0755)

def clean_libzip():
    if not Options.options.shared_libzip:
      rmtree('deps/%s' % BUNDLED_LIBZIP)

def clean(bld):
    pass # to avoid "Nothing to clean (project not configured)" error

def shutdown():
    if Options.commands['clean']:
        if exists(TARGET): unlink(TARGET)
        clean_libzip()
    if Options.commands['clean']:
        if exists(dest):
            unlink(dest)
    else:
        if exists(built):
            copy(built,dest)

=== debian/changelog ===
node-zipfile (0.2.4+ds1-1) unstable; urgency=low

  * Initial release (Closes: #646395)

 -- David Paleino <dapal@debian.org>  Sun, 23 Oct 2011 22:33:32 +0200

=== debian/control ===
Source: node-zipfile
Section: libdevel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , libzip-dev
 , pkg-config
Standards-Version: 3.9.2
Homepage: http://github.com/springmeyer/node-zipfile
Vcs-Git: git://git.debian.org/collab-maint/node-zipfile.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-zipfile.git;a=summary

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: library for handling zipfiles in NodeJS
 node-zipfile is a C++ module for handling zipfiles in NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_configure:
	node-waf configure --shared-libzip

override_dh_auto_build:
	node-waf build --shared-libzip

override_dh_auto_clean:
	node-waf clean distclean --shared-libzip

override_dh_auto_test:

override_dh_auto_install:
	node-waf install --destdir=$(CURDIR)/debian/tmp/ --shared-libzip

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-zipfile.substvars \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/_zipfile.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/_zipfile.node

get-orig-source:
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir . \
		--rename
	tar xvf node-zipfile_$(UPVER).orig.tar.gz
	# removing embedded libzip
	rm -rf package/deps
	rm -rf package/.gitignore
	tar cf node-zipfile_$(UPVER)+ds1.orig.tar package/
	gzip -9 node-zipfile_$(UPVER)+ds1.orig.tar
	rm -rf package/ node-zipfile_$(UPVER).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=zipfile \
	http://registry.npmjs.org/zipfile/-/zipfile-(\d+.*)\.tgz

## node-zipfile 0.3.1+ds1

=== Makefile ===
all: zipfile.node

NPROCS:=1
OS:=$(shell uname -s)

ifeq ($(OS),Linux)
	NPROCS:=$(shell grep -c ^processor /proc/cpuinfo)
endif
ifeq ($(OS),Darwin)
	NPROCS:=$(shell sysctl -n hw.ncpu)
endif

install:
	node-waf -v build install

zipfile.node:
	node-waf -v build

clean:
	node-waf -v clean distclean

uninstall:
	node-waf -v uninstall

test:
	@NODE_PATH=.:./lib:$NODE_PATH mocha -r zipfile -r assert

fix:
	@fixjsstyle lib/*js bin/*js test/*js

fixc:
	@tools/fix_cpp_style.sh

lint:
	@./node_modules/.bin/jshint lib/*js bin/*js test/*js

lintc:
	@cpplint.py --verbose=3 --filter=-legal,-build/namespaces,-whitespace/line_length src/*.* include/zipfile/*.* 

gyp:
	rm -rf ./projects/makefiles/
	python gyp/gyp build.gyp --depth=. -f make --generator-output=./projects/makefiles
	#./build.py
	make -j$(NPROCS) -C ./projects/makefiles/ V=1
	cp projects/makefiles/out/Default/_zipfile.node lib/_zipfile.node

.PHONY: test lint fix lintc fixc gyp

=== wscript ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 TARGET = '_zipfile'
 TARGET_FILE = '%s.node' % TARGET
-built = 'build/default/%s' % TARGET_FILE
+built = 'build/Release/%s' % TARGET_FILE
 dest = 'lib/%s' % TARGET_FILE
 settings = 'lib/settings.js'
 BUNDLED_LIBZIP_VERSION = '0.10'
@@ -153,7 +153,7 @@
 def build(bld):
     obj = bld.new_task_gen("cxx", "shlib", "node_addon", install_path=None)
     build_libzip()
-    obj.cxxflags = ["-DNDEBUG", "-O3", "-g", "-Wall", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
+    obj.cxxflags = ["-I../include/","-DNDEBUG", "-O3", "-g", "-Wall", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
     obj.target = TARGET
     obj.source = "src/_zipfile.cc"
     obj.source += " src/node_zipfile.cpp"
@@ -167,7 +167,8 @@
 
 def clean_libzip():
     if not Options.options.shared_libzip:
-      rmtree('deps/%s' % BUNDLED_LIBZIP)
+      if os.path.exists('deps/%s' % BUNDLED_LIBZIP):
+          rmtree('deps/%s' % BUNDLED_LIBZIP)
 
 def clean(bld):
     pass # to avoid "Nothing to clean (project not configured)" error

=== debian/changelog ===
node-zipfile (0.3.1+ds1-1) unstable; urgency=low

  * New upstream version
  * Add B-D on libuv-dev
  * Bump dependency on Node >= 0.6
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sat, 14 Apr 2012 23:26:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
- , nodejs-dev
+ , nodejs-dev (>= 0.6)
  , libzip-dev
  , pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/springmeyer/node-zipfile
 Vcs-Git: git://git.debian.org/collab-maint/node-zipfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-zipfile.git;a=summary
@@ -19,6 +19,6 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6)
 Description: library for handling zipfiles in NodeJS
  node-zipfile is a C++ module for handling zipfiles in NodeJS.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifndef UPVER
 UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
+endif
 
 %:
 	dh $@

## node-zipfile 0.4.0%2Bds1

=== debian/control ===
Source: node-zipfile
Section: libdevel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , libzip-dev
Standards-Version: 3.9.4
Homepage: http://github.com/springmeyer/node-zipfile
Vcs-Git: git://anonscm.debian.org/collab-maint/node-zipfile.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-zipfile.git

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: library for handling zipfiles in Node.js
 node-zipfile is a C++ module for handling zipfiles in Node.js.
 .
 Node.js is an event-based server-side javascript engine.

## node-zipfile 0.4.0+ds1

=== Makefile ===
all: node_zipfile.node

node_zipfile.node:
	`npm explore npm -g -- pwd`/bin/node-gyp-bin/node-gyp build

clean:
	@rm -rf ./build
	rm -f lib/node_zipfile.node
	rm -f test/tmp/*
	rm -rf ./deps/libzip-0.10/
	rm -rf ./build
	rm -rf ./out

rebuild:
	@make clean
	@./configure
	@make

test:
	@PATH=./node_modules/mocha/bin:${PATH} && NODE_PATH=./lib:$NODE_PATH mocha -R spec

fix:
	@fixjsstyle lib/*js bin/*js test/*js

fixc:
	@tools/fix_cpp_style.sh

lint:
	@./node_modules/.bin/jshint lib/*js bin/*js test/*js

lintc:
	@cpplint.py --verbose=3 --filter=-legal,-build/namespaces,-whitespace/line_length src/*.* include/zipfile/*.* 

.PHONY: test lint fix lintc fixc

=== debian/changelog ===
node-zipfile (0.4.0+ds1-1) unstable; urgency=low

  * New upstream version
  * Loosen dependency on nodejs
  * Build using node-gyp instead of node-waf
  * Remove pkg-config from Build-Depends, not needed by node-gyp
  * Further repackaging: remove test data, and keep deps/*.gypi
  * Update copyright, fix Source field, explain repackaging
  * Canonicalize Vcs fields
  * Standards-Version 3.9.4
  * Use dh 9 for hardening
  * Watch github, mangle version

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Aug 2013 15:32:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1 | cut -d+ -f1)
endif

TARDIR := node-zipfile-$(UPVER)
TARNAME := node-zipfile_$(UPVER)+ds1.orig.tar

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	chmod 644 $(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/node_zipfile.node

override_dh_auto_configure:
	node-gyp configure --libzip=shared

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-zipfile.substvars \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/node_zipfile.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/node_zipfile.node

get-orig-source:
	mkdir -p ../tarballs
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir ../tarballs \
		--rename
	tar xvf ../tarballs/node-zipfile_0.4.0.orig.tar.gz
	@echo Repackaging
	rm -rf $(TARDIR)/deps/libzip*
	rm -rf $(TARDIR)/deps/zlib
	rm -rf $(TARDIR)/deps/*-include
	rm -rf $(TARDIR)/deps/*.py
	rm $(TARDIR)/test/data/world_merc.zip
	tar cf $(TARNAME) $(TARDIR)/
	rm -rf $(TARDIR)/
	gzip -9 $(TARNAME)
	mv $(TARNAME).gz ../tarballs/

## node-zipfile 0.5.0%2Bds

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-all: node_zipfile.node
+all: zipfile.node
 
-node_zipfile.node:
-	`npm explore npm -g -- pwd`/bin/node-gyp-bin/node-gyp build
+zipfile.node:
+	PATH=`npm explore npm -g -- pwd`/bin/node-gyp-bin:./node_modules/.bin:$${PATH} && ./node_modules/.bin/node-pre-gyp build
 
 clean:
 	@rm -rf ./build
-	rm -f lib/node_zipfile.node
+	rm -rf lib/bindings/
 	rm -f test/tmp/*
 	rm -rf ./deps/libzip-0.10/
 	rm -rf ./build

## node-zipfile 0.5.0+ds

=== debian/changelog ===
node-zipfile (0.5.0+ds-1build1) wily; urgency=medium

  * No-change rebuild for libzip soname change

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 01:31:35 +0000

node-zipfile (0.5.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Install zipfile.node only to get rid of node-pre-gyp dependency.
  * Build-Depends pkg-config, fix configure flags (Closes: #741748).
  * copyright:
    + add new owner for 2014
    + use Excluded-Files section

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Mar 2014 23:07:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  , dh-buildinfo
  , node-gyp
  , libzip-dev
-Standards-Version: 3.9.4
+ , pkg-config
+Standards-Version: 3.9.5
 Homepage: http://github.com/springmeyer/node-zipfile
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-zipfile.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-zipfile.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	chmod 644 $(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile.node

override_dh_auto_configure:
	node-gyp configure --shared_libzip=true \
		--shared_libzip_includes=`pkg-config libzip --cflags-only-I | sed s/-I//g` \
		--module_name=zipfile --module_path="$(CURDIR)/lib/binding"

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-zipfile.substvars \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile.node

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-zipfile-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/springmeyer/node-zipfile/tags .*/archive/v?([\d\.]+).tar.gz

## node-zipfile 0.5.11+ds

=== debian/changelog ===
node-zipfile (0.5.11+ds-2ubuntu1) bionic; urgency=medium

  * Fix quoting for autopkgtest >= 5.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Mar 2018 14:58:11 +0000

node-zipfile (0.5.11+ds-2build2) bionic; urgency=medium

  * No-change rebuild against nodejs-abi-57.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 17 Feb 2018 18:12:30 -0600

node-zipfile (0.5.11+ds-2build1) artful; urgency=medium

  * No-change rebuild to pick up nodejs-abi-48

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2017 15:16:31 +0000

node-zipfile (0.5.11+ds-2) unstable; urgency=medium

  * Stick to how upstream installs files

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 10:52:25 +0100

node-zipfile (0.5.11+ds-1) unstable; urgency=medium

  * New upstream version 0.5.11+ds (Closes: #802351)
  * Patch package.json to fix binding load path
  * Build-Depends mocha, node-pre-gyp
  * Depends node-pre-gyp
  * Run tests during build
  * Copyright for world mercator test data, and keep
    those test files in tarball
  * Enable autopkgtests
  * Standards-Version 3.9.8
  * Secure Vcs url
  * Use dh nodejs
  * Use repacksuffix
  * Properly install module with package.json

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Dec 2016 16:46:19 +0100

=== debian/control ===
Source: node-zipfile
Section: libdevel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , node-pre-gyp
 , node-nan
 , nodejs-dev
 , mocha
 , libzip-dev
 , pkg-config
Standards-Version: 3.9.8
Homepage: http://github.com/springmeyer/node-zipfile
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-zipfile.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-zipfile.git
Testsuite: autopkgtest

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , node-pre-gyp
 , nodejs
Description: library for handling zipfiles in Node.js
 node-zipfile is a C++ module for handling zipfiles in Node.js.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_install:
	dh_install
	dh_buildinfo
	chmod 644 $(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/lib/binding/zipfile.node

override_dh_auto_configure:
	node-gyp configure --shared_libzip=true \
		--shared_libzip_includes=`pkg-config libzip --cflags-only-I | sed s/-I//g` \
		--module_name=zipfile --module_path="$(CURDIR)/lib/binding"

override_dh_auto_build:
	node-gyp build

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-zipfile.substvars \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/lib/binding/zipfile.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/lib/binding/zipfile.node

=== debian/tests/control ===
Test-Command: nodejs -e "require('zipfile');"
Depends: @

## node-zipfile 0.5.12+ds

=== Makefile ===
#http://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets

all: build-all

./node_modules/node-pre-gyp:
	npm install node-pre-gyp

./node_modules: ./node_modules/node-pre-gyp
	npm install `node -e "console.log(Object.keys(require('./package.json').dependencies).join(' '))"` \
	`node -e "console.log(Object.keys(require('./package.json').devDependencies).join(' '))"` --clang=1

./build:
	./node_modules/.bin/node-pre-gyp configure --loglevel=error --clang=1

build-all: ./node_modules ./build
	./node_modules/.bin/node-pre-gyp build --loglevel=error --clang=1

debug: ./node_modules ./build
	./node_modules/.bin/node-pre-gyp build --debug --clang=1

coverage: ./node_modules ./build
	./node_modules/.bin/node-pre-gyp build --debug --clang=1 --coverage=true

verbose: ./node_modules
	./node_modules/.bin/node-pre-gyp build --loglevel=verbose --clang=1

clean:
	@rm -rf ./build
	rm -rf lib/binding/
	rm -rf ./test/tmp/*
	rm -rf ./node_modules/
	rm -f ./*tgz

grind:
	valgrind --leak-check=full node node_modules/.bin/_mocha

testpack:
	rm -f ./*tgz
	npm pack
	tar -ztvf *tgz
	rm -f ./*tgz

rebuild:
	@make clean
	@make

ifndef only
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec
else
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
endif

check: test

.PHONY: test clean build

=== debian/changelog ===
node-zipfile (0.5.12+ds-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:42 +0100

node-zipfile (0.5.12+ds-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install
  * Enable upstream test
  * Add fix for Node.js ≥ 12 (reported)
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sat, 25 Jan 2020 08:30:48 +0100

node-zipfile (0.5.12+ds-3) unstable; urgency=medium

  * Build against libnode-dev
  * Use https homepage
  * Standards-Version 4.3.0
  * Use Test-Command for autopkgtest (Closes: #894959)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 10:13:04 +0100

node-zipfile (0.5.12+ds-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Aug 2018 10:48:57 +0530

node-zipfile (0.5.12+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.5.12+ds
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Use salsa.debian.org in Vcs-* fields
  * Tighten dependency on node-pre-gyp

 -- Pirate Praveen <praveen@debian.org>  Mon, 20 Aug 2018 12:35:27 +0530

=== debian/control ===
Source: node-zipfile
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 12)
 , libnode-dev
 , libzip-dev
 , mocha <!nocheck>
 , node-gyp (>= 3.8.0-2)
 , node-nan
 , node-pre-gyp (>= 0.10.2~)
 , pkg-config
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Homepage: https://github.com/springmeyer/node-zipfile
Vcs-Git: https://salsa.debian.org/js-team/node-zipfile.git
Vcs-Browser: https://salsa.debian.org/js-team/node-zipfile
Rules-Requires-Root: no

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , node-pre-gyp (>= 0.10.2~)
 , nodejs
Description: library for handling zipfiles in Node.js
 node-zipfile is a C++ module for handling zipfiles in Node.js. It provides
 bindings to libzip, whis is a C library for reading, creating, and modifying
 zip archives..
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_install:
	dh_install
	chmod 644 $(CURDIR)/debian/node-zipfile/usr/lib/*/nodejs/zipfile/lib/binding/zipfile.node

override_dh_auto_configure:
	node-gyp configure --shared_libzip=true \
		--shared_libzip_includes=`pkg-config libzip --cflags-only-I | sed s/-I//g` \
		--module_name=zipfile --module_path="$(CURDIR)/lib/binding"

override_dh_auto_build:
	node-gyp build

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-zipfile-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$//,repacksuffix=+ds \
https://github.com/springmeyer/node-zipfile/tags .*/archive/v?([\d\.]+).tar.gz
